<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:22 PST 2021 -->
<title>Uses of Package org.apache.nutch.scoring (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.nutch.scoring (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/scoring/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package org.apache.nutch.scoring" class="title">Uses of Package<br>org.apache.nutch.scoring</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../org/apache/nutch/scoring/package-summary.html">org.apache.nutch.scoring</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring">org.apache.nutch.scoring</a></td>
<td class="colLast">
<div class="block">The <a href="../../../../org/apache/nutch/scoring/ScoringFilter.html" title="interface in org.apache.nutch.scoring"><code>ScoringFilter</code></a> interface.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring.depth">org.apache.nutch.scoring.depth</a></td>
<td class="colLast">
<div class="block">Scoring filter to stop crawling at a configurable depth
 (number of "hops" from seed URLs).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring.link">org.apache.nutch.scoring.link</a></td>
<td class="colLast">
<div class="block">Scoring filter used in conjunction with
 <a href="../../../../org/apache/nutch/scoring/webgraph/WebGraph.html" title="class in org.apache.nutch.scoring.webgraph"><code>WebGraph</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring.opic">org.apache.nutch.scoring.opic</a></td>
<td class="colLast">
<div class="block">Scoring filter implementing a variant of the Online Page Importance Computation
 (OPIC) algorithm.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring.orphan">org.apache.nutch.scoring.orphan</a></td>
<td class="colLast">
<div class="block">Scoring filter to modify score or status of orphaned pages (no inlinks found
 for a configurable amount of time).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring.similarity">org.apache.nutch.scoring.similarity</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring.tld">org.apache.nutch.scoring.tld</a></td>
<td class="colLast">
<div class="block">Top Level Domain Scoring plugin.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.scoring.urlmeta">org.apache.nutch.scoring.urlmeta</a></td>
<td class="colLast">
<div class="block">
      URL Meta Tag Scoring Plugin</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/scoring/package-summary.html">org.apache.nutch.scoring</a> used by <a href="../../../../org/apache/nutch/scoring/package-summary.html">org.apache.nutch.scoring</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/scoring/class-use/ScoringFilter.html#org.apache.nutch.scoring">ScoringFilter</a>
<div class="block">A contract defining behavior of scoring plugins.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/scoring/class-use/ScoringFilterException.html#org.apache.nutch.scoring">ScoringFilterException</a>
<div class="block">Specialized exception for errors during scoring.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring.depth">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/scoring/package-summary.html">org.apache.nutch.scoring</a> used by <a href="../../../../org/apache/nutch/scoring/depth/package-summary.html">org.apache.nutch.scoring.depth</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/scoring/class-use/ScoringFilter.html#org.apache.nutch.scoring.depth">ScoringFilter</a>
<div class="block">A contract defining behavior of scoring plugins.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/scoring/class-use/ScoringFilterException.html#org.apache.nutch.scoring.depth">ScoringFilterException</a>
<div class="block">Specialized exception for errors during scoring.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring.link">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/scoring/package-summary.html">org.apache.nutch.scoring</a> used by <a href="../../../../org/apache/nutch/scoring/link/package-summary.html">org.apache.nutch.scoring.link</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/scoring/class-use/ScoringFilter.html#org.apache.nutch.scoring.link">ScoringFilter</a>
<div class="block">A contract defining behavior of scoring plugins.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/scoring/class-use/ScoringFilterException.html#org.apache.nutch.scoring.link">ScoringFilterException</a>
<div class="block">Specialized exception for errors during scoring.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring.opic">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/scoring/package-summary.html">org.apache.nutch.scoring</a> used by <a href="../../../../org/apache/nutch/scoring/opic/package-summary.html">org.apache.nutch.scoring.opic</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/scoring/class-use/ScoringFilter.html#org.apache.nutch.scoring.opic">ScoringFilter</a>
<div class="block">A contract defining behavior of scoring plugins.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/scoring/class-use/ScoringFilterException.html#org.apache.nutch.scoring.opic">ScoringFilterException</a>
<div class="block">Specialized exception for errors during scoring.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring.orphan">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/scoring/package-summary.html">org.apache.nutch.scoring</a> used by <a href="../../../../org/apache/nutch/scoring/orphan/package-summary.html">org.apache.nutch.scoring.orphan</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/scoring/class-use/AbstractScoringFilter.html#org.apache.nutch.scoring.orphan">AbstractScoringFilter</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/scoring/class-use/ScoringFilter.html#org.apache.nutch.scoring.orphan">ScoringFilter</a>
<div class="block">A contract defining behavior of scoring plugins.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/scoring/class-use/ScoringFilterException.html#org.apache.nutch.scoring.orphan">ScoringFilterException</a>
<div class="block">Specialized exception for errors during scoring.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring.similarity">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/scoring/package-summary.html">org.apache.nutch.scoring</a> used by <a href="../../../../org/apache/nutch/scoring/similarity/package-summary.html">org.apache.nutch.scoring.similarity</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/scoring/class-use/AbstractScoringFilter.html#org.apache.nutch.scoring.similarity">AbstractScoringFilter</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/scoring/class-use/ScoringFilter.html#org.apache.nutch.scoring.similarity">ScoringFilter</a>
<div class="block">A contract defining behavior of scoring plugins.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/scoring/class-use/ScoringFilterException.html#org.apache.nutch.scoring.similarity">ScoringFilterException</a>
<div class="block">Specialized exception for errors during scoring.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring.tld">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/scoring/package-summary.html">org.apache.nutch.scoring</a> used by <a href="../../../../org/apache/nutch/scoring/tld/package-summary.html">org.apache.nutch.scoring.tld</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/scoring/class-use/ScoringFilter.html#org.apache.nutch.scoring.tld">ScoringFilter</a>
<div class="block">A contract defining behavior of scoring plugins.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/scoring/class-use/ScoringFilterException.html#org.apache.nutch.scoring.tld">ScoringFilterException</a>
<div class="block">Specialized exception for errors during scoring.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.scoring.urlmeta">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/nutch/scoring/package-summary.html">org.apache.nutch.scoring</a> used by <a href="../../../../org/apache/nutch/scoring/urlmeta/package-summary.html">org.apache.nutch.scoring.urlmeta</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/nutch/scoring/class-use/ScoringFilter.html#org.apache.nutch.scoring.urlmeta">ScoringFilter</a>
<div class="block">A contract defining behavior of scoring plugins.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/nutch/scoring/class-use/ScoringFilterException.html#org.apache.nutch.scoring.urlmeta">ScoringFilterException</a>
<div class="block">Specialized exception for errors during scoring.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/scoring/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
